### GET /app/config Source: https://api.iternio.com/swagger-ui/spec/prod/IternioPlanning.out.yaml Get the configuration for the application. ```markdown ### Parameters - **X-API-KEY** (string, header, required): The api key (example: "api_key") - **X-ABRP-SESSION** (string, header, optional): The user session key for abrp users (example: "abrp_session_token") - **version** (string, query, required): The version of the app. - **platform** (string (ANDROID|AUTOMOTIVE|IOS|WEB), query, required): The platform of the app. - **build** (integer (int32), query, required) (example: 3080) ### Responses #### 200 - Ok - **upgrade** (string (LATEST|CODE_PUSH|AVAILABLE|REQUIRED)) (required): The type of upgrade that is available. (example: "LATEST") ("LATEST"|"CODE_PUSH"|"AVAILABLE"|"REQUIRED") - **flags** (array (string)) (required): A list of flags that are active #### 400 - response #### 403 - response #### 500 - response ### Example Usage ```bash curl -X GET "https://api.iternio.com/2/app/config?version=string&platform=ANDROID&build=3080" ``` ``` -------------------------------- ### GET /network Source: https://api.iternio.com/swagger-ui/spec/prod/IternioPlanning.out.yaml Returns a paginated list of networks. ```markdown ### Parameters - **X-API-KEY** (string, header, required): The api key (example: "api_key") - **cursor** (string, query, optional): The opaque cursor to start from, if not start from the beginning - **limit** (integer, query, optional): Maximum number of networks to return. - **sortBy** (string (CHARGER_COUNT), query, optional): Determines the order of the items. - **allowDeprecated** (AllowDeprecated, query, optional) ### Responses #### 200 - response - **meta** (object) (required) - **endCursor** (string) (required): The opaque cursor to start from. Note that the curser has a limited lifetime. (example: "opaque-cursor") - **hasNextPage** (boolean): If present tells the caller that there are more items to fetch with the provided cursor (example: true) - **items** (array (ChargerNetwork)) (required) Array items: - **id** (integer (int64)) (required): A unique identifier for the network. (example: 85) - **name** (string) (required): The name of the network. (example: "Ionity") - **deprecated** (boolean): Signals that the network is deprecated. Missing value is the same as false. (example: false) - **replacedBy** (integer (int64)): The id of the network that is replacing the deprecated network. (example: 85) #### 400 - response #### 401 - response #### 403 - response #### 500 - response #### 501 - response ### Example Usage ```bash curl -X GET "https://api.iternio.com/2/network?cursor=string&limit=10&sortBy=CHARGER_COUNT&allowDeprecated=value" ``` ``` -------------------------------- ### Schema: StartSoc Source: https://api.iternio.com/swagger-ui/spec/prod/IternioPlanning.out.yaml The start SoC percentage. If supplied, all times will be relative to the start soc, and the result will only return results greater than the value. ```markdown ## Schema: StartSoc The start SoC percentage. If supplied, all times will be relative to the start soc, and the result will only return results greater than the value. **Type:** number ``` -------------------------------- ### GET /stats/plan Source: https://api.iternio.com/swagger-ui/spec/prod/IternioPlanning.out.yaml API endpoint for GET /stats/plan ```markdown ### Parameters - **X-API-KEY** (string, header, required): The api key (example: "api_key") - **Accept** (string, header, required) (example: "application/json") ### Responses #### 200 - Ok - **count** (integer (int64)) (required): The total number of plans created. #### 401 - response #### 500 - response ### Example Usage ```bash curl -X GET "https://api.iternio.com/2/stats/plan" ``` ``` -------------------------------- ### POST /app/featurebase/sso Source: https://api.iternio.com/swagger-ui/spec/prod/IternioPlanning.out.yaml Get a jwt token for sso. ```markdown ### Parameters - **X-API-KEY** (string, header, required): The api key (example: "api_key") - **X-ABRP-SESSION** (string, header, required): The user session key for abrp users (example: "abrp_session_token") ### Responses #### 200 - JWT token for SSO **FeaturebaseSsoOk** - **token** (string) (required): JWT token #### 400 - response #### 401 - response #### 403 - response #### 500 - response ### Example Usage ```bash curl -X POST "https://api.iternio.com/2/app/featurebase/sso" ``` ``` -------------------------------- ### POST /abrp/plan/amenity-candidates Source: https://api.iternio.com/swagger-ui/spec/prod/IternioPlanning.out.yaml Get amenity candidates for a new plan. ```markdown ### Parameters - **X-API-KEY** (string, header, required): The api key (example: "api_key") - **X-ABRP-SESSION** (string, header, optional): The user session key for abrp users (example: "abrp_session_token") ### Request Body **Content-Type:** application/json - **searches** (array (AmenityChargerCandidatesSearchFilter)) (required) Array items: - **category** (string (RESTAURANT|SHOPPING|HOTEL|CAFE|TOILET)): The category of the amenity. ("RESTAURANT"|"SHOPPING"|"HOTEL"|"CAFE"|"TOILET") - **distanceM** (integer): The maximum distance from the route to search for amenities. - **stayTimeSec** (integer): [s] The time the vehicle is expected to stay at the amenity. This is used to filter out amenities that are too far away from the route. - **subcategories** (array (AmenitySubtype)) - **whereOnPlan** (object) - **type** (string (afterDestinationIndex)) (required) ("afterDestinationIndex") - **index** (integer) (required) - **whereOnLeg** (object) - **type** (string (afterTime)) (required) ("afterTime") - **afterTimeSec** (integer) (required): [s] Search after this time from the start of the leg. Typically used to search for chargers after the current vehicle position. - **planRequest** (object) (required) - **destinations** (array (Destination)) (required): A list of at least two destination (the start and final destination) of the plan. (example: [{"location":{"type":"COORDINATES","lat":55.71220191979822,"long":13.215866972117013,"bearing":23}},{"location":{"type":"ADDRESS","value":"Örgrytevägen 5, Gothemburg"},"minimumArrivalSocFrac":0.2}]) Array items: - **location** (object) (required) - **type** (string (CHARGER_ID)) (required): Discriminator field. (example: "CHARGER_ID") ("CHARGER_ID") - **value** (integer (int64)) (required): A unique identifier for the charger. (example: 134525594) - **energySettings** (object) - **minArrivalSocFrac** (number (float)): Arrive at this waypoint with at least this SoC. The default is specified by other input parameters. - **charging** (object) - **type** (string (TIME_AND_SOC)) (required) ("TIME_AND_SOC") - **seconds** (integer) (required): [s] The time available to charge at the destination. - **socFrac** (number (float)) (required): The target SoC fraction to charge to at the destination. - **timeSettings** (object) - **departAt** (object) - **type** (string (DEPARTURE_TIME)) (required) ("DEPARTURE_TIME") - **time** (string (date-time)) (required): The date-time notation as defined by RFC 3339, section 5.6, when the vehicle should depart from the destination. (example: "2017-07-21T17:32:28Z") - **stayForSeconds** (integer): [s] The time the vehicle should stay at the destination. - **name** (string): The name of the destination. This is used for display purposes only. It will return the same name for the destination in the result. (example: "Home") - **charging** (object) (example: {"connectorTypes":["CCS","NACS"],"minimumArrivalSocFrac":0.07,"maximumSocFrac":0.8,"overhead":120,"steps":"MORE","realTimeStatus":false,"networkPreferences":{"id":2,"preference":"PREFER"},"cards":{"id":2,"preference":"PREFER"}}) - **connectorTypes** (array (ConnectorType)): Array of allowed connector types for planning. The default value is decided by the vehicle type. - **allowedDbs** (array (string)): Array of databases to use as the source of chargers. The default is to include all databases allowed for the given API key. - **minimumDestinationSocFrac** (number (float)): The minimum SoC allowed when arriving at the final destination. - **minimumChargerArrivalSocFrac** (number (float)): The minimum SoC allowed when arriving at any charger or waypoint. - **maximumChargingSocFrac** (number): The maximum SoC allowed when charging. - **overheadSec** (integer): [s] The overhead to add to the driving time and charging time for each charge stop. This typically accounts for finding the charger, connecting it and starting it. A higher value here will lead to fewer but longer charge stops. - **stopPreference** (string (MOST|MORE|OPTIMAL|FEWER|LEAST|FEWEST)): Bias the number of charge stops in the plan, the default value is "optimal" which gives shortest total trip time. LEAST is deprecated and will be removed in future versions, please use FEWEST instead. ("MOST"|"MORE"|"OPTIMAL"|"FEWER"|"LEAST"|"FEWEST") - **realTimeStatus** (boolean): Enables planning with realtime charger status. This feature is considered premium and has to be explicitly enabled for your API key. - **excludedChargerIds** (array (integer (int64))): A list of charger ids to exclude from the plan. - **networkPreferences** (array (NetworkPreferenceItem)): Modifies the preferences for charges based on their network. Array items: - **id** (integer (int64)) (required): Unique identifier for a network. - **preference** (string (EXCLUDE|DISLIKE|NO_PREFERENCE|PREFER|PREFER_STRONGLY)) (required) ("EXCLUDE"|"DISLIKE"|"NO_PREFERENCE"|"PREFER"|"PREFER_STRONGLY") - **cardPreferences** (array (CardPreferenceItem)): Modifies the preferences for charges based on their card. Further, costs for all stop will be calculated if a specified card is present. Array items: - **featurePreferences** (array (FeaturePreference)): Preferences for charger features. Array items: - **feature** (string (DOG_FRIENDLY|TRAILER_FRIENDLY|HAS_PLAYGROUND|HAS_OPEN_RESTROOMS|PLUG_AND_CHARGE)) (required): A set of supported charger features. (example: "DOG_FRIENDLY") ("DOG_FRIENDLY"|"TRAILER_FRIENDLY"|"HAS_PLAYGROUND"|"HAS_OPEN_RESTROOMS"|"PLUG_AND_CHARGE") - **preference** (string (PREFER)) (required) ("PREFER") - **tagPreferences** (array (TagPreferenceItem)): Modifies the preferences for charges based on their network. Array items: - **tag** (string) (required): The name of the tag to apply the preference on. - **preference** (string (EXCLUDE|DISLIKE|NO_PREFERENCE|PREFER|PREFER_STRONGLY)) (required) ("EXCLUDE"|"DISLIKE"|"NO_PREFERENCE"|"PREFER"|"PREFER_STRONGLY") - **preferredMinimumStallCount** (integer): A soft constraint on the preferred number of stalls. - **speed** (object) - **maximumMs** (number): The maximum speed which the planner will allow for the car, even if speed limits allow more. This is mostly useful for very high speed highways, such as Autobahns. If not given, the recommended max speed for the car model is used. - **allowAdjustment** (boolean): Allow the planner to lower the maximum speed for individual legs if this is needed to reach the next charger. - **scaling** (number): A speed factor relative to the speed limits or estimated speed of the road. 1.1 means 10% faster than speed limits. - **avoid** (object) - **ferries** (boolean): Allow the route to include ferries. - **highways** (boolean): Allow the route to include highways. - **tolls** (boolean): Allow the route to include toll roads. - **borders** (boolean): If true, the route will not allow country border crossings, or more specifically, not allow chargers or waypoints in different countries. - **resultOptions** (object) (example: {"alternatives":{"type":"ROUTES"}}) - **alternatives** (object): The returned plan may contain up to three routes if there are several reasonable alternatives. These alternatives have been selected to not completely overlap geographically - i.e. different charger selections along the same basic route are not counted as alternatives. - **type** (string (ROUTES)) (required): Discriminator field. (example: "ROUTES") ("ROUTES") - **currency** (string): The three digit currency code of the country where the charging station is located (example: "EUR") - **unitSystem** (string (METRIC|IMPERIAL)): The units in the response. ("METRIC"|"IMPERIAL") - **traffic** (string (NO_TRAFFIC|REAL_TIME)): Enable planning with realtime traffic information and routing for the first hours of driving. The REAL TIME feature is considered premium and has to be explicitly enabled for your API key. If you don't have the REAL TIME feature, the planner will use the default traffic model, and communicate this as an warning. ("NO_TRAFFIC"|"REAL_TIME") - **weather** (object): Fetches and applies the current conditions for wind, temperature and road-conditions. - **vehicle** (object) (required) - **currentSocFrac** (number (float)): The current SoC of the vehicle, used as starting SoC for the plan. - **referenceConsumption** (number): [Wh/km @ 110 km/h] This overrides the default reference consumption of the vehicle. Use this to adjust the assumed consumption of the vehicle. The default value is based on the type of vehicle. - **degradationFrac** (number): The degradation of the battery. Defaults to 0.05 (5%) or a calibrated value. - **configuration** (string): The current vehicle configuration, affecting energy consumption. (example: "trailer") - **identifier** (object) (required) (example: {"type":"TYPECODE","value":"rivian:r1s:21:135"}) - **developerSettings** (object) - **realtimeTrafficSource** (string): Allows the client to toggle the source of the traffic. ### Responses #### 200 - response - **searches** (array (AmenityCandidateSearchResult)) (required) Array items: - **candidates** (array (AmenityCandidate)) (required): A list of amenity candidates along the route. Array items: - **chargerId** (integer) (required): Unique charger identifier - **location** (object) (required): Defines a geographic location. (example: {"lat":55.7047,"long":13.191}) - **lat** (number (double)) (required): The latitude of the coordinate. (example: 55.6) - **long** (number (double)) (required): The longitude of the coordinate (example: 13.24) - **timeLostSec** (integer) (required): Time lost if stopping at this charger, in seconds - **timeToSec** (integer) (required): Time to reach this charger from current position, in seconds - **distanceToM** (integer) (required): Distance to this charger from current position, in meters - **cursor** (string): A cursor for pagination. - **plan** (object) (required) - **planId** (string) (required) - **alternativesCursor** (string) (required): Cursor to be used to fetch alternative plans. - **routes** (array (AbrpRoute)) (required) Array items: - **routeId** (string) (required): A unique identifier for the route. - **score** (integer (int64)) (required): The score for the route, can be interpreted as seconds. - **tags** (array (RouteTag)) (required): TO BE WRITTEN - **legTags** (array (LegTag)) (required): TO BE WRITTEN - **summary** (object) (required) - **durationSec** (integer) (required): The total time of the route. - **driveDurationSec** (integer) (required): The total time spent diving. - **ferryDurationSec** (integer) (required): The total time spent on ferries. - **distanceM** (integer) (required): The total distance of the route. - **driveDistanceM** (integer) (required): The total distance driven. - **ferryDistanceM** (integer) (required): The total distance on ferries. - **consumedSoc** (integer) (required): The total Soc consumed on the route. - **consumedWh** (integer) (required): The total energy consumed on the route. - **chargedSoc** (integer) (required): The total Soc charged on the route. - **chargedW** (integer) (required): The total energy charged on the route. - **primaryChargeDurationSec** (integer) (required): The total time spent in primary charging sessions. This is typically the time that should be displayed to the user. - **secondaryChargeDurationSec** (integer) (required): The total time spent in secondary charging sessions. These are typically over-the-night charge-stops that are not as important to show to the user. - **routeOverlaps** (array (RouteOverlap)) (required) Array items: - **comparedRouteId** (string) (required): The route id of the overlapping route. - **nonOverlappingSegments** (array (NonOverlappingRouteSegment)) (required) Array items: - **startLegIndex** (integer) (required): The index of the leg where the non-overlapping segment starts. - **startPolylineIndex** (integer) (required): The index of the polyline where the non-overlapping segment starts. - **endLegIndex** (integer) (required): The index of the leg where the non-overlapping segment ends. - **endPolylineIndex** (integer) (required): The index of the polyline where the non-overlapping segment ends. - **legs** (array (AbrpRouteLeg)) (required) Array items: - **legId** (string) (required): A unique identifier for the leg. - **tags** (array (LegTag)) (required): TO BE WRITTEN - **origin** (object) (required) - **type** (string (UNSPECIFIED|ADDED_CHARGER|AMENITY_SEARCH_CHARGER|DESTINATION)) (required) ("UNSPECIFIED"|"ADDED_CHARGER"|"AMENITY_SEARCH_CHARGER"|"DESTINATION") - **lat** (number (double)) (required): The latitude of the coordinate. (example: 55.6) - **long** (number (double)) (required): The longitude of the coordinate (example: 13.24) - **name** (string) (required): TO BE WRITTEN - **country3** (string): The three letter country code (ISO 3166-1 alpha-3) in capital letters (example: "SWE") - **utcOffsetSec** (integer) (required): The UTC offset in seconds. - **timezone** (string) (required): The "tz database" name of the timezone, i.e, "/" - **arrivalSocFrac** (number) (required): The SoC on arrival. - **departureSocFrac** (number) (required): The SoC on departure. - **totalStayDurationSec** (integer) (required): The time for the say. - **remainingRouteDistanceM** (integer) (required): The total distance remaining. - **remainingRouteDurationOnArrivalSec** (integer) (required): The total duration left on the route on arrival. - **arrivalTime** (string (date-time)) (required): The time of arrival in the local timezone. - **chargeDurationSec** (integer) (required): The time spent charging. - **chargeOverheadSec** (integer) (required): The time spent on charge overhead. - **chargedSocFrac** (number) (required): The total SoC charged. - **chargedW** (integer) (required): The total energy charged. - **chargeProfile** (array (ChargeProfilePoint)) (required): The profile of the charging session. Array items: - **durationSec** (integer) (required): The duration until the soc point has been reached. - **socFrac** (number) (required): The soc value of the current point - **powerW** (number) (required): The current power of the charging session. - **destinationIndex** (integer): The index of the destination in the request. - **charger** (object) - **id** (integer (int64)) (required): A unique identifier for the charger. (example: 134525594) - **predictedBusyness** (string (UNKNOWN|LOW|MEDIUM|HIGH)) (required): The predicted busyness of the charger at arrival ("UNKNOWN"|"LOW"|"MEDIUM"|"HIGH") - **costs** (array (ChargeCostEntry)) (required) Array items: - **cost** (number) (required) - **cardId** (integer (int64)) (required): Unique identifier for a charge card. - **currency** (string) (required): The three digit currency code of the country where the charging station is located (example: "EUR") - **isDefault** (boolean) (required): The expected price to be used for a user without any card preferences. - **selectedConnector** (object) (required): Information to help identify the selected outlet. - **connectorType** (string (CCS|SC|TESLA_CCS|TESLA_DESTINATION_CHARGER|CHADEMO|TYPE2|TYPE2_CABLE|J1772|SCHUKO|TYPE3|GBT|NACS|NEMA515|NEMA520|NEMA1450|NEMATT30|THREEPHASE_AU|CEE_RED|CEE_BLUE|OTHER)) (required): The standard of the installed connector (deviates from the OCPI-standard). (example: "CCS") ("CCS"|"SC"|"TESLA_CCS"|"TESLA_DESTINATION_CHARGER"|"CHADEMO"|"TYPE2"|"TYPE2_CABLE"|"J1772"|"SCHUKO"|"TYPE3"|"GBT"|"NACS"|"NEMA515"|"NEMA520"|"NEMA1450"|"NEMATT30"|"THREEPHASE_AU"|"CEE_RED"|"CEE_BLUE"|"OTHER") - **weatherSummary** (object) - **condition** (string (CLEAR|CLOUDS|FOG|LIGHT_SNOW|SNOW|HEAVY_SNOW|LIGHT_RAIN|RAIN|HEAVY_RAIN|THUNDERSTORM|UNKNOWN)) (required): Enum representing different weather conditions. ("CLEAR"|"CLOUDS"|"FOG"|"LIGHT_SNOW"|"SNOW"|"HEAVY_SNOW"|"LIGHT_RAIN"|"RAIN"|"HEAVY_RAIN"|"THUNDERSTORM"|"UNKNOWN") - **temperatureC** (number) (required): The temperature in Celsius. - **windSpeedMs** (number) (required): The wind speed in m/s. - **windDirection** (integer) (required): The wind direction in degrees. - **driveDetails** (object) (required) - **customData** (object) (required): Customer specific additional data. - **vehicle** (object) (required) - **batteryCapacityWh** (integer) (required): The battery capacity in watt-hours. - **maxSpeedMs** (number) (required): The maximum speed of the vehicle in m/s. #### 400 - response - **message** (string) (required) #### 401 - response - **message** (string) (required) #### 403 - response - **message** (string) (required) #### 500 - response - **message** (string) (required) ### Example Usage ```bash curl -X POST "https://api.iternio.com/2/abrp/plan/amenity-candidates" \ -H "Content-Type: application/json" \ -d '{ "searches": [ "value" ], "planRequest": "value" }' ``` ``` -------------------------------- ### GET /charger/_features Source: https://api.iternio.com/swagger-ui/spec/prod/IternioPlanning.out.yaml Will enumerate all chargers for which there are features that are allowed base on api key. ```markdown ### Parameters - **X-API-KEY** (string, header, required): The api key (example: "api_key") - **limit** (integer, query, optional): Maximum number of items to return. - **cursor** (string, query, optional): The opaque cursor to start from, if not start from the beginning ### Responses #### 200 - response - **meta** (object) (required) - **endCursor** (string) (required): The opaque cursor to start from. Note that the curser has a limited lifetime. (example: "opaque-cursor") - **hasNextPage** (boolean): If present tells the caller that there are more items to fetch with the provided cursor (example: true) - **items** (array (ChargerFeaturesObject)) (required) Array items: - **id** (integer (int64)) (required): A unique identifier for the charger. (example: 134525594) - **vendorId** (string): the id used byt the vendor for this charger. (example: 1234) - **features** (object) (required): Describes specific features of the charger. There might be multiple sources for a feature. - **dogFriendly** (object) (required): Indicates that the location is ell suited for dog owners. - **hasFeature** (string (NO_DATA|YES|NO|AMBIGUOUS)) (required) ("NO_DATA"|"YES"|"NO"|"AMBIGUOUS") - **userVotes** (object) - **yes** (integer) (required): Reports indicating that the charger has the property. (example: 5) - **no** (integer) (required): Reports indicating that the charger doesn't have the property. (example: 2) - **dontKnow** (integer) (required): Reports indicating that it is difficult to determine if the charger has the property. (example: 3) - **hasPlayground** (object) (required): Indicates that the location has a nearby playground. - **hasOpenRestrooms** (object) (required): Indicates that the location has open restrooms. - **trailerFriendly** (object) (required): Indicates that the location is usable with a trailer. #### 400 - response #### 401 - response #### 403 - response #### 500 - response #### 501 - response ### Example Usage ```bash curl -X GET "https://api.iternio.com/2/charger/_features?limit=500&cursor=string" ``` ```